# module RSS::Atom::PersonConstruct

The `PersonConstruct` module is used to define a person `Atom` element that can be used to describe a person, corporation or similar entity.

The `PersonConstruct` has a `Name`, `Uri` and `Email` child elements.

Reference: validator.w3.org/feed/docs/rfc4287.html#atomPersonConstruct

### Public Class Methods

append_features(klass) click to toggle source

Adds attributes for name, uri, and email to the `klass`

Calls superclass method

    # File lib/rss/atom.rb, line 182
    def self.append_features(klass)
      super
      klass.class_eval do
        [
         ["name", nil],
         ["uri", "?"],
         ["email", "?"],
        ].each do |tag, occurs|
          install_have_attribute_element(tag, URI, occurs, nil, :content)
        end
      end
    end

### Public Instance Methods

maker_target(target) click to toggle source

    # File lib/rss/atom.rb, line 195
    def maker_target(target)
      target.__send__("new_#{self.class.name.split(/::/).last.downcase}")
    end